Name:		tgif
Version:	4.2.5
Release:	1
Summary:	2-D drawing tool
Group:		Applications/Multimedia
License:	QPL
URL:		http://bourbon.usc.edu/tgif/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-QPL-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	coreutils
BuildRequires:	gettext
BuildRequires:	perl >= 5.8.8
BuildRequires:	sed
BuildRequires:	zlib-devel

Requires:	ghostscript
Requires:	netpbm-progs >= stable_svn2008.04.23

%description
Tgif - Xlib based interactive 2-D drawing facility under X11.
Supports hierarchical construction of drawings and easy navigation
between sets of drawings. It's also a hyper-graphics
(or hyper-structured-graphics) browser on the World-Wide-Web.


%prep
%setup -q -n %{name}-QPL-%{version}
%patch0

/opt/freeware/bin/perl -pi \
	-e 's,JISX-0208-1983-0,EUC-JP,g' \
	po/ja/ja.po

# use scalable bitmap font
/opt/freeware/bin/sed \
	-e s,alias\-mincho,misc\-mincho,g \
	-e s,alias\-gothic,jis\-fixed,g \
	-i po/ja/Tgif.ad

# fix desktop file
/opt/freeware/bin/sed -i.icon -e 's|Icon=tgif|Icon=tgificon|' \
	po/ja/tgif.desktop

# Fix installation path for icon files
/opt/freeware/bin/sed -i.path \
	-e '/InstallNonExec.*hicolor/s|\$(TGIFDIR)|\$(DATADIR)/icons/|' \
	-e '/MakeDirectories.*hicolor/s|\$(TGIFDIR)|\$(DATADIR)/icons/|' \
	Imakefile


%build
/opt/freeware/bin/sed -i.mode -e 's|0664|0644|' Tgif.tmpl

xmkmf -a
make clean
xmkmf -a
/opt/freeware/bin/sed -i.mode -e 's|0444|0644|' Makefile
DEFOPTS='-D_BSD -DOVERTHESPOT -DUSE_XT_INITIALIZE -D_ENABLE_NLS -DPRINT_CMD=\"lpr\" -DA4PAPER'
make %{?_smp_mflags} \
    CC="cc -qcpluscmt ${CFLAGS}" \
    MOREDEFINES="${DEFOPTS}" \
    TGIFDIR=%{_datadir}/%{name} \
    LOCAL_LIBRARIES="-lXmu -lXt -lX11 -lintl" \
    %{name}

cd po
xmkmf -a
/opt/freeware/bin/sed -i.mode -e 's|0444|0644|' Makefile
make \
    Makefile \
    Makefiles \
    depend \
    all


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export PATH=/opt/freeware/bin:$PATH

make \
    DESTDIR=${RPM_BUILD_ROOT} \
    BINDIR=%{_libexecdir} \
    TGIFDIR=%{_datadir}/tgif \
    DATADIR=%{_datadir} \
    MKDIRHIER='mkdir -p' \
    INSTALL='/opt/freeware/bin/install -p' \
    install \
    install.man

/usr/bin/strip ${RPM_BUILD_ROOT}%{_libexecdir}/* || :

# wrap tgif
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}/
install -cpm 0755 po/ja/tgif-wrapper.sh ${RPM_BUILD_ROOT}%{_bindir}/%{name}

%{__rm} -f ${RPM_BUILD_ROOT}%{_datadir}/tgif/*.obj
install -cpm 0644 *.obj ${RPM_BUILD_ROOT}%{_datadir}/tgif/

# Japanese specific
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/X11/ja/app-defaults/
install -cpm 0644 \
	po/ja/Tgif.ad \
	${RPM_BUILD_ROOT}%{_libdir}/X11/ja/app-defaults/Tgif

# fix man path
mv ${RPM_BUILD_ROOT}%{_mandir}/mann ${RPM_BUILD_ROOT}%{_mandir}/man1
mv ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.n ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1

# install desktop file
mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
cp po/ja/%{name}.desktop ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/*

(
  cd po
  make \
	DESTDIR=${RPM_BUILD_ROOT} \
	INSTALLFLAGS="-cp" \
	install
)

# make symbolic links
cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS
%doc ChangeLog
%doc Copyright
%doc HISTORY
%doc LICENSE.QPL
%doc README*
%doc VMS_MAKE_TGIF.COM 
%doc example.tex 
%doc po/ja/README.jp

%{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_mandir}/man1/%{name}.1

%{_datadir}/%{name}/
# Currently no package owns the following directories
%dir %{_libdir}/X11/ja/
%dir %{_libdir}/X11/ja/app-defaults/
%{_libdir}/X11/ja/app-defaults/Tgif

/etc/X11/applnk/Graphics/*


%changelog
* Fri Jul 01 2011 Michael Perzl <michael@perzl.org> - 4.2.5-1
- updated to version 4.2.5

* Mon May 23 2011 Michael Perzl <michael@perzl.org> - 4.2.3-1
- first version for AIX V5.1 and higher
